# appconsent_classic

[![pub package](https://img.shields.io/pub/v/appconsent_classic.svg)](https://pub.dev/packages/appconsent_classic)

<img src="https://sfbx.io/wp-content/uploads/2021/02/Logo-SFBX-Privacy-Matters-2.png" alt="SFBX" style="zoom:1%;float: left;" height="72" />

AppConsent® cmp, the transparency-based consent management platform.

## Getting Started

First, initialize AppconsentClassic with the `setup` method, making sure it is initialized by placing the keyword `await` in front of it.
Then display the CMP when you want.

```dart
import 'package:appconsent_classic/appconsent_classic.dart';

// Configure at launch (appKey:forceApplyGDPR:forceATT)
await AppconsentClassic.setup("YOUR_APP_KEY", false, true);

// Display the CMP if needed after setup
AppconsentClassic.presentNotice(false);
```

## Documentation

Our detailed documentation is accessible at [https://docs.sfbx.io](https://docs.sfbx.io).

